| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Member Functions | List of all members
Ogre::Grid2DPageStrategy Class Reference
Optional Components » Paging

Page strategy which loads new pages based on a regular 2D grid. More...

`#include <OgreGrid2DPageStrategy.h>`

Inheritance diagram for Ogre::Grid2DPageStrategy:
[legend]

## Public Member Functions
| Grid2DPageStrategy (PageManager *manager)
| ~Grid2DPageStrategy ()
PageStrategyData * | createData ()
| Create a PageStrategyData instance containing the data specific to this PageStrategy. More...
void | destroyData (PageStrategyData *d)
| Destroy a PageStrategyData instance containing the data specific to this PageStrategy. More...
virtual void | frameEnd (Real timeElapsed, PagedWorldSection *section)
| Called when the frame ends. More...
virtual void | frameStart (Real timeSinceLastFrame, PagedWorldSection *section)
| Called when the frame starts. More...
PageManager * | getManager () const
const String & | getName () const
PageID | getPageID (const Vector3 &worldPos, PagedWorldSection *section)
| Get the page ID for a given world position. More...
void | notifyCamera (Camera *cam, PagedWorldSection *section)
| Called when a camera is used for any kind of rendering. More...
void | updateDebugDisplay (Page *p, SceneNode *sn)
| Update the contents of the passed in SceneNode to reflect the debug display of a given page. More...

## Detailed Description

Page strategy which loads new pages based on a regular 2D grid.

Remarks
  The grid can be up to 65536 x 65536 cells in size. PageIDs are generated like this: (row * 65536) + col. The grid is centred around the grid origin, such that the boundaries of the cell around that origin are [-CellSize/2, CellSize/2)

## Constructor & Destructor Documentation

## ◆ Grid2DPageStrategy()

Ogre::Grid2DPageStrategy::Grid2DPageStrategy | ( | PageManager * | manager | ) |

## ◆ ~Grid2DPageStrategy()

Ogre::Grid2DPageStrategy::~Grid2DPageStrategy | ( |  | ) |

## Member Function Documentation

## ◆ notifyCamera()

void Ogre::Grid2DPageStrategy::notifyCamera | ( | Camera * | cam,
|  | PagedWorldSection * | section
| ) |  |
| virtual

Called when a camera is used for any kind of rendering.

Remarks
  This is probably the primary way in which the strategy will request new pages.

Parameters

  cam | Camera which is being used for rendering. Class should not rely on this pointer remaining valid permanently because no notification will be given when the camera is destroyed.

Reimplemented from Ogre::PageStrategy.

## ◆ createData()

PageStrategyData* Ogre::Grid2DPageStrategy::createData | ( |  | ) |
| virtual

Create a PageStrategyData instance containing the data specific to this PageStrategy.

  This data will be held by a given PagedWorldSection and the structure of the data will be specific to the PageStrategy subclass.

Implements Ogre::PageStrategy.

## ◆ destroyData()

void Ogre::Grid2DPageStrategy::destroyData | ( | PageStrategyData * | d | ) |
| virtual

Destroy a PageStrategyData instance containing the data specific to this PageStrategy.

  This data will be held by a given PagedWorldSection and the structure of the data will be specific to the PageStrategy subclass.

Implements Ogre::PageStrategy.

## ◆ updateDebugDisplay()

void Ogre::Grid2DPageStrategy::updateDebugDisplay | ( | Page * | p,
|  | SceneNode * | sn
| ) |  |
| virtual

Update the contents of the passed in SceneNode to reflect the debug display of a given page.

Remarks
  The PageStrategy is to have complete control of the contents of this SceneNode, it must not be altered / added to by others.

Implements Ogre::PageStrategy.

## ◆ getPageID()

PageID Ogre::Grid2DPageStrategy::getPageID | ( | const Vector3 & | worldPos,
|  | PagedWorldSection * | section
| ) |  |
| virtual

Get the page ID for a given world position.

Returns
  The page ID

Implements Ogre::PageStrategy.

## ◆ getName()

const String& Ogre::PageStrategy::getName | ( | void |  | ) | const
| inline inherited

## ◆ getManager()

PageManager* Ogre::PageStrategy::getManager | ( |  | ) | const
| inline inherited

## ◆ frameStart()

virtual void Ogre::PageStrategy::frameStart | ( | Real | timeSinceLastFrame,
|  | PagedWorldSection * | section
| ) |  |
| inline virtual inherited

Called when the frame starts.

## ◆ frameEnd()

virtual void Ogre::PageStrategy::frameEnd | ( | Real | timeElapsed,
|  | PagedWorldSection * | section
| ) |  |
| inline virtual inherited

Called when the frame ends.

The documentation for this class was generated from the following file:

- OgreGrid2DPageStrategy.h